<?php
/*
 Template Name: Featured Page
 
*/
?>

<?php get_header(); ?>

			<div id="content">
				
				<?php 
							$background_image =get_background_image();
							if(!empty($background_image)):
								$has_background = 'has-backgroud';
							?>
				<div id="inner-content" class="wrap cf single-post-page <?php echo $has_background; ?>">
						<?php else: ?>
				<?php
					$thumb_id = get_post_thumbnail_id();
					$thumb_url_array = wp_get_attachment_image_src($thumb_id, 'thumbnail-size', true);
					$thumb_url = $thumb_url_array[0];
				?>  
				<div id="inner-content" class="wrap cf featured-page" style="background-image:url('<?php echo esc_url( $thumb_url ); ?>');">
					<?php endif; ?>

						<div id="main" class="m-all t-2of3 d-5of7 cf full" role="main">

							<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

							<article id="post-<?php the_ID(); ?>" <?php post_class( 'cf' ); ?> role="article" itemscope itemtype="http://schema.org/BlogPosting">
								<header class="article-header">		
									<h1 class="page-title"><?php the_title(); ?></h1>
								</header>
								

								<section class="entry-content cf" itemprop="articleBody">
									<?php

										the_content();

									
										wp_link_pages( array(
											'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'wp-clean-green' ) . '</span>',
											'after'       => '</div>',
											'link_before' => '<span>',
											'link_after'  => '</span>',
										) );
									?>
								</section>


							</article>

							<?php endwhile; else : ?>

									<article id="post-not-found" class="hentry cf">
											<header class="">
												<h1><?php _e( 'Oops, Post Not Found!', 'wp-clean-green' ); ?></h1>
												<p><?php _e( 'Uh Oh. Something is missing. Try double checking things.', 'wp-clean-green' ); ?></p>
										</header>
											
									</article>

							<?php endif; ?>

						</div>
						<div class="overlay"></div>
						

				</div>

			</div>


<?php get_footer(); ?>
