<?php get_header(); ?>

			<div id="content">

				<?php 
					$background_image =get_background_image();
					if(!empty($background_image)):
						$has_background = 'has-backgroud';
				?>
					<div id="inner-content" class="wrap cf single-post-page <?php echo $has_background; ?>">
				
				<?php else: ?>  
					<div id="inner-content" class="wrap cf">
				<?php endif; ?>

					<div id="main" class="m-all t-2of3 d-5of7 cf" role="main">
						<header class="article-header">
							
									<?php if (is_category()) : ?>
										<h1 class="archive-title h2">
											<span><?php _e( 'Posts Categorized:', 'wp-clean-green' ); ?></span> <?php single_cat_title(); ?>
										</h1>

									<?php elseif (is_tag()): ?>
										<h1 class="archive-title h2">
											<span><?php _e( 'Posts Tagged:', 'wp-clean-green' ); ?></span> <?php single_tag_title(); ?>
										</h1>

									<?php elseif (is_author()):
										global $post;
										$author_id = $post->post_author;
									?>
										<h1 class="archive-title h2">

											<span><?php _e( 'Posts By:', 'wp-clean-green' ); ?></span> <?php the_author_meta('display_name', $author_id); ?>

										</h1>
									<?php elseif (is_day()) : ?>
										<h1 class="archive-title h2">
											<span><?php _e( 'Daily Archives:', 'wp-clean-green' ); ?></span> <?php the_time(get_option('date_format')); ?>
										</h1>

									<?php elseif (is_month()) : ?>
											<h1 class="archive-title h2">
												<span><?php _e( 'Monthly Archives:', 'wp-clean-green' ); ?></span> <?php the_time(get_option('date_format')); ?>
											</h1>

									<?php elseif (is_year()) : ?>
											<h1 class="archive-title h2">
												<span><?php _e( 'Yearly Archives:', 'wp-clean-green' ); ?></span> <?php the_time(get_option('date_format')); ?>
											</h1>
									<?php endif; ?>
								
						</header>	
							
						<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

							<article id="post-<?php the_ID(); ?>" <?php post_class( 'cf archive' ); ?> role="article">
								<?php
								if ( has_post_thumbnail()):
									?> <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"> <?php
									$thumb_id = get_post_thumbnail_id();
									$thumb_url_array = wp_get_attachment_image_src($thumb_id, 'wpcleangreen-thumb-image-300by300', true);
									$thumb_url = $thumb_url_array[0]; ?> <img src="<?php echo $thumb_url; ?>" alt="<?php the_title(); ?>"> 
									</a>
								<?php elseif (has_post_format('image')): ?>
									<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php $image = wpcleangreen_catch_that_image_thumb(); if(!empty($image)){ echo $image; } ?></a>	
								<?php elseif (has_post_format('gallery')): ?>
									<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php $first_image_gallery = wpcleangreen_catch_gallery_image_thumb();if(isset($first_image_gallery)){ echo $first_image_gallery; }?></a>	
								<?php else: ?>
									<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><img src="<?php echo wpcleangreen_IMAGES; ?>/blank.jpg" alt="blank"></a>

								<?php endif; ?>
								<section class="entry-content cf">

									<h3 class="h2 entry-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
									<span class="byline vcard"><?php
										printf(__( 'Posted', 'wp-clean-green' ) . ' <span class="updated">%2$s</span> ' . __('by', 'wp-clean-green' ) . ' <span class="author">%3$s</span>', get_the_time(get_option('date_format')), get_the_time(__( get_option('date_format'), 'wp-clean-green' )), get_the_author_link( get_the_author_meta( 'ID' ) ));
									?></span>

									<?php the_excerpt(); ?>

								</section>

							</article>

						<?php endwhile; ?>

								<?php wpcleangreen_page_navi(); ?>

						<?php else : ?>

								<article id="post-not-found" class="hentry cf">
									<header class="">
										<h1><?php _e( 'Oops, Post Not Found!', 'wp-clean-green' ); ?></h1>
										<p><?php _e( 'Uh Oh. Something is missing. Try double checking things.', 'wp-clean-green' ); ?></p>
									</header>
								</article>

						<?php endif; ?>

					</div>

					<?php get_sidebar(); ?>

				</div>

			</div>

<?php get_footer(); ?>
