<?php get_header(); ?>

			<div id="content">
				<?php 
					$background_image =get_background_image();
					if(!empty($background_image)):
						$has_background = 'has-backgroud';
				?>
					<div id="inner-content" class="wrap cf single-post-page <?php echo $has_background; ?>">
				<?php else: ?>  
					<div id="inner-content" class="wrap cf">
				<?php endif; ?>

				<?php if ( get_theme_mod('wpcleangreen_full_width_post') ):
		                    $full_width = 'full';
		                    else:
		                    $full_width = '';
		                    endif;
            	?>
					
					<div id="main" class="m-all t-2of3 d-5of7 cf <?php echo esc_attr( $full_width ); ?>" role="main">

						<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

							
						<article id="post-<?php the_ID(); ?>" <?php post_class('cf'); ?> role="article" itemscope itemtype="http://schema.org/BlogPosting">
			                
				                <header class="article-header">
									<h1 class="entry-title single-title" itemprop="headline"><?php the_title(); ?></h1>
								</header> <?php // end article header ?>

				                <p class="byline vcard">
				                    <?php printf( __( 'Posted <span>%2$s</span> by <span class="author">%3$s</span>', 'wp-clean-green' ), get_the_time('Y-m-j'), get_the_time(get_option('date_format')), get_the_author_link( get_the_author_meta( 'ID' ) )); ?>
				                    <?php
				                      /* translators: used between list items, there is a space after the comma */
				                      $category_list = get_the_category_list( __( ', ', 'wp-clean-green' ) );
				                      printf( __('under %s', 'wp-clean-green'),
				                        $category_list
				                      );
				                    ?>
				                </p>

				              	<?php get_template_part( 'post-formats/format', get_post_format() ); ?>

				               <?php if ( get_theme_mod('wpcleangreen_author_bio') ):
				                    	$author_class = 'author-hide';
				                    else:
				                    	$author_class = '';
				                    endif;
				                ?>

				                <footer class="article-footer <?php echo $author_class; ?>">
				                  <div class="add-info"><span class="author-name"><?php the_author(); ?></span></div>
				                  		<div class="avatar">
				                  		<?php echo get_avatar( get_the_author_meta( 'ID' ) , 150 ); ?>
				                  </div>

				                  <div class="info">
				                  		<p class="author-desc"> <?php if (function_exists('wpcleangreen_author_excerpt') && get_the_author_meta('description')){echo wpcleangreen_author_excerpt();} else { _e( 'Add your Biographical Info and they will appear here.', 'wp-clean-green'); } ?> </p>
				                  </div>
				                  <div class="clear"></div>
				                </footer> <?php // end article footer ?>

				                <?php if ( get_theme_mod('wpcleangreen_related') ):
				                    	$related_class = 'related-hide';
				                    else:
				                    	$related_class = '';
				                    endif;
				                ?>
				                <?php
				                    $related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'numberposts' => 3, 'post__not_in' => array($post->ID) ) ); ?>
				                    <?php if (!empty($related)) { ?>
				                    <div class="related posts <?php echo $related_class; ?>">
					                    <div class="add-info"><span><?php _e('Related Posts','wp-clean-green'); ?></span></div>
					                    <ul> 
						                    <?php if( $related ): foreach( $related as $post ) { ?>
						                    <?php setup_postdata($post); ?>

					                            <li>
						                            <a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>">
							                              <?php 
							                              	$image_thumb = wpcleangreen_catch_that_image_thumb(); 
							                              	$gallery_thumb = wpcleangreen_catch_gallery_image_thumb();

							                              if ( has_post_thumbnail()): 
							                              		the_post_thumbnail('wpcleangreen-thumb-image-300by300');
							                              elseif(has_post_format('gallery') && !empty($gallery_thumb)) : 
							                              		echo $gallery_thumb;
							                              elseif(has_post_format('image') && !empty($image_thumb)) : 
							                              		echo $image_thumb; 
							                              else: ?>
							                              		<img src="<?php echo wpcleangreen_IMAGES; ?>/blank.jpg" alt="blank">
							                              <?php endif; ?>

							                              <h3><?php the_title(); ?></h3>
						                            </a>
					                                
					                            </li>
						                    
						                    <?php } endif;
						                    wp_reset_postdata(); ?>
						                     
					                    </ul>
					                    <div class="clear"></div>

				                    </div>
				                     <?php } ?>

				                <?php comments_template(); ?>

              			</article> <?php // end article ?>

						<?php endwhile; ?>

						<?php else : ?>

							<article id="post-not-found" class="hentry cf">
									<header class="">
										<h1><?php _e( 'Oops, Post Not Found!', 'wp-clean-green' ); ?></h1>
										<p><?php _e( 'Uh Oh. Something is missing. Try double checking things.', 'wp-clean-green' ); ?></p>
									</header>
							</article>

						<?php endif; ?>

					</div>

					<?php if ( get_theme_mod('wpcleangreen_full_width_post') ):
		                    $remove_sidebar = 'remove-sidebar';
		                    else:
		                    $remove_sidebar = '';
		                    endif;
            		?>
					<div class="<?php echo esc_attr( $remove_sidebar ); ?>"><?php get_sidebar(); ?></div>

				</div>

			</div>

<?php get_footer(); ?>